/*******************************************************************
*   SC_SID_2007_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************************************************.
*  Define the data file                                           *.
*  ATTENTION!            ATTENTION!              ATTENTION!       *.
*  Variable names longer than 8 characters are truncated for SPSS *.
*  and may no longer be unique                                    *.
*  Refer to the LOC file and adjust accordingly                   *.
*******************************************************************.

DATA LIST FILE = 'SC_SID_2007_CHGS.ASC' FIXED / 
 CHG1                       1-  12
 CHG2                      13-  24
 CHG3                      25-  36
 CHG4                      37-  48
 CHG5                      49-  60
 CHG6                      61-  72
 CHG7                      73-  84
 CHG8                      85-  96
 CHG9                      97- 108
 CHG10                    109- 120
 CHG11                    121- 132
 CHG12                    133- 144
 CHG13                    145- 156
 CHG14                    157- 168
 CHG15                    169- 180
 CHG16                    181- 192
 CHG17                    193- 204
 CHG18                    205- 216
 CHG19                    217- 228
 CHG20                    229- 240
 CHG21                    241- 252
 CHG22                    253- 264
 CHG23                    265- 276
 CHG24                    277- 288
 CHG25                    289- 300
 CHG26                    301- 312
 CHG27                    313- 324
 CHG28                    325- 336
 CHG29                    337- 348
 CHG30                    349- 360
 CHG31                    361- 372
 CHG32                    373- 384
 CHG33                    385- 396
 CHG34                    397- 408
 CHG35                    409- 420
 CHG36                    421- 432
 CHG37                    433- 444
 CHG38                    445- 456
 CHG39                    457- 468
 CHG40                    469- 480
 CHG41                    481- 492
 CHG42                    493- 504
 CHG43                    505- 516
 CHG44                    517- 528
 CHG45                    529- 540
 CHG46                    541- 552
 CHG47                    553- 564
 CHG48                    565- 576
 CHG49                    577- 588
 CHG50                    589- 600
 CHG51                    601- 612
 CHG52                    613- 624
 CHG53                    625- 636
 CHG54                    637- 648
 CHG55                    649- 660
 CHG56                    661- 672
 CHG57                    673- 684
 CHG58                    685- 696
 CHG59                    697- 708
 CHG60                    709- 720
 CHG61                    721- 732
 CHG62                    733- 744
 CHG63                    745- 756
 CHG64                    757- 768
 CHG65                    769- 780
 CHG66                    781- 792
 CHG67                    793- 804
 CHG68                    805- 816
 CHG69                    817- 828
 CHG70                    829- 840
 CHG71                    841- 852
 CHG72                    853- 864
 CHG73                    865- 876
 CHG74                    877- 888
 CHG75                    889- 900
 CHG76                    901- 912
 CHG77                    913- 924
 CHG78                    925- 936
 KEY                      937- 950
 UNIT1                    951- 958
 UNIT2                    959- 966
 UNIT3                    967- 974
 UNIT4                    975- 982
 UNIT5                    983- 990
 UNIT6                    991- 998
 UNIT7                    999-1006
 UNIT8                   1007-1014
 UNIT9                   1015-1022
 UNIT10                  1023-1030
 UNIT11                  1031-1038
 UNIT12                  1039-1046
 UNIT13                  1047-1054
 UNIT14                  1055-1062
 UNIT15                  1063-1070
 UNIT16                  1071-1078
 UNIT17                  1079-1086
 UNIT18                  1087-1094
 UNIT19                  1095-1102.


***  Specify write formats  ***.
FORMATS
 CHG1                    (F6.2) /
 CHG2                    (F6.2) /
 CHG3                    (F6.2) /
 CHG4                    (F6.2) /
 CHG5                    (F6.2) /
 CHG6                    (F6.2) /
 CHG7                    (F6.2) /
 CHG8                    (F6.2) /
 CHG9                    (F6.2) /
 CHG10                   (F6.2) /
 CHG11                   (F6.2) /
 CHG12                   (F6.2) /
 CHG13                   (F6.2) /
 CHG14                   (F6.2) /
 CHG15                   (F6.2) /
 CHG16                   (F6.2) /
 CHG17                   (F6.2) /
 CHG18                   (F6.2) /
 CHG19                   (F6.2) /
 CHG20                   (F6.2) /
 CHG21                   (F6.2) /
 CHG22                   (F6.2) /
 CHG23                   (F6.2) /
 CHG24                   (F6.2) /
 CHG25                   (F6.2) /
 CHG26                   (F6.2) /
 CHG27                   (F6.2) /
 CHG28                   (F6.2) /
 CHG29                   (F6.2) /
 CHG30                   (F6.2) /
 CHG31                   (F6.2) /
 CHG32                   (F6.2) /
 CHG33                   (F6.2) /
 CHG34                   (F6.2) /
 CHG35                   (F6.2) /
 CHG36                   (F6.2) /
 CHG37                   (F6.2) /
 CHG38                   (F6.2) /
 CHG39                   (F6.2) /
 CHG40                   (F6.2) /
 CHG41                   (F6.2) /
 CHG42                   (F6.2) /
 CHG43                   (F6.2) /
 CHG44                   (F6.2) /
 CHG45                   (F6.2) /
 CHG46                   (F6.2) /
 CHG47                   (F6.2) /
 CHG48                   (F6.2) /
 CHG49                   (F6.2) /
 CHG50                   (F6.2) /
 CHG51                   (F6.2) /
 CHG52                   (F6.2) /
 CHG53                   (F6.2) /
 CHG54                   (F6.2) /
 CHG55                   (F6.2) /
 CHG56                   (F6.2) /
 CHG57                   (F6.2) /
 CHG58                   (F6.2) /
 CHG59                   (F6.2) /
 CHG60                   (F6.2) /
 CHG61                   (F6.2) /
 CHG62                   (F6.2) /
 CHG63                   (F6.2) /
 CHG64                   (F6.2) /
 CHG65                   (F6.2) /
 CHG66                   (F6.2) /
 CHG67                   (F6.2) /
 CHG68                   (F6.2) /
 CHG69                   (F6.2) /
 CHG70                   (F6.2) /
 CHG71                   (F6.2) /
 CHG72                   (F6.2) /
 CHG73                   (F6.2) /
 CHG74                   (F6.2) /
 CHG75                   (F6.2) /
 CHG76                   (F6.2) /
 CHG77                   (F6.2) /
 CHG78                   (F6.2) /
 KEY                     (F8.0) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 CHG1      "Detailed charges 1 (as received from source)"
 CHG2      "Detailed charges 2 (as received from source)"
 CHG3      "Detailed charges 3 (as received from source)"
 CHG4      "Detailed charges 4 (as received from source)"
 CHG5      "Detailed charges 5 (as received from source)"
 CHG6      "Detailed charges 6 (as received from source)"
 CHG7      "Detailed charges 7 (as received from source)"
 CHG8      "Detailed charges 8 (as received from source)"
 CHG9      "Detailed charges 9 (as received from source)"
 CHG10     "Detailed charges 10 (as received from source)"
 CHG11     "Detailed charges 11 (as received from source)"
 CHG12     "Detailed charges 12 (as received from source)"
 CHG13     "Detailed charges 13 (as received from source)"
 CHG14     "Detailed charges 14 (as received from source)"
 CHG15     "Detailed charges 15 (as received from source)"
 CHG16     "Detailed charges 16 (as received from source)"
 CHG17     "Detailed charges 17 (as received from source)"
 CHG18     "Detailed charges 18 (as received from source)"
 CHG19     "Detailed charges 19 (as received from source)"
 CHG20     "Detailed charges 20 (as received from source)"
 CHG21     "Detailed charges 21 (as received from source)"
 CHG22     "Detailed charges 22 (as received from source)"
 CHG23     "Detailed charges 23 (as received from source)"
 CHG24     "Detailed charges 24 (as received from source)"
 CHG25     "Detailed charges 25 (as received from source)"
 CHG26     "Detailed charges 26 (as received from source)"
 CHG27     "Detailed charges 27 (as received from source)"
 CHG28     "Detailed charges 28 (as received from source)"
 CHG29     "Detailed charges 29 (as received from source)"
 CHG30     "Detailed charges 30 (as received from source)"
 CHG31     "Detailed charges 31 (as received from source)"
 CHG32     "Detailed charges 32 (as received from source)"
 CHG33     "Detailed charges 33 (as received from source)"
 CHG34     "Detailed charges 34 (as received from source)"
 CHG35     "Detailed charges 35 (as received from source)"
 CHG36     "Detailed charges 36 (as received from source)"
 CHG37     "Detailed charges 37 (as received from source)"
 CHG38     "Detailed charges 38 (as received from source)"
 CHG39     "Detailed charges 39 (as received from source)"
 CHG40     "Detailed charges 40 (as received from source)"
 CHG41     "Detailed charges 41 (as received from source)"
 CHG42     "Detailed charges 42 (as received from source)"
 CHG43     "Detailed charges 43 (as received from source)"
 CHG44     "Detailed charges 44 (as received from source)"
 CHG45     "Detailed charges 45 (as received from source)"
 CHG46     "Detailed charges 46 (as received from source)"
 CHG47     "Detailed charges 47 (as received from source)"
 CHG48     "Detailed charges 48 (as received from source)"
 CHG49     "Detailed charges 49 (as received from source)"
 CHG50     "Detailed charges 50 (as received from source)"
 CHG51     "Detailed charges 51 (as received from source)"
 CHG52     "Detailed charges 52 (as received from source)"
 CHG53     "Detailed charges 53 (as received from source)"
 CHG54     "Detailed charges 54 (as received from source)"
 CHG55     "Detailed charges 55 (as received from source)"
 CHG56     "Detailed charges 56 (as received from source)"
 CHG57     "Detailed charges 57 (as received from source)"
 CHG58     "Detailed charges 58 (as received from source)"
 CHG59     "Detailed charges 59 (as received from source)"
 CHG60     "Detailed charges 60 (as received from source)"
 CHG61     "Detailed charges 61 (as received from source)"
 CHG62     "Detailed charges 62 (as received from source)"
 CHG63     "Detailed charges 63 (as received from source)"
 CHG64     "Detailed charges 64 (as received from source)"
 CHG65     "Detailed charges 65 (as received from source)"
 CHG66     "Detailed charges 66 (as received from source)"
 CHG67     "Detailed charges 67 (as received from source)"
 CHG68     "Detailed charges 68 (as received from source)"
 CHG69     "Detailed charges 69 (as received from source)"
 CHG70     "Detailed charges 70 (as received from source)"
 CHG71     "Detailed charges 71 (as received from source)"
 CHG72     "Detailed charges 72 (as received from source)"
 CHG73     "Detailed charges 73 (as received from source)"
 CHG74     "Detailed charges 74 (as received from source)"
 CHG75     "Detailed charges 75 (as received from source)"
 CHG76     "Detailed charges 76 (as received from source)"
 CHG77     "Detailed charges 77 (as received from source)"
 CHG78     "Detailed charges 78 (as received from source)"
 KEY       "HCUP record identifier"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)"
 UNIT6     "Units of service 6 (as received from source)"
 UNIT7     "Units of service 7 (as received from source)"
 UNIT8     "Units of service 8 (as received from source)"
 UNIT9     "Units of service 9 (as received from source)"
 UNIT10    "Units of service 10 (as received from source)"
 UNIT11    "Units of service 11 (as received from source)"
 UNIT12    "Units of service 12 (as received from source)"
 UNIT13    "Units of service 13 (as received from source)"
 UNIT14    "Units of service 14 (as received from source)"
 UNIT15    "Units of service 15 (as received from source)"
 UNIT16    "Units of service 16 (as received from source)"
 UNIT17    "Units of service 17 (as received from source)"
 UNIT18    "Units of service 18 (as received from source)"
 UNIT19    "Units of service 19 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG48
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG49
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG50
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG51
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG52
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG53
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG54
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG55
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG56
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG57
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG58
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG59
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG60
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG61
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG62
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG63
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG64
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG65
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG66
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG67
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG68
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG69
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG70
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG71
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG72
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG73
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG74
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG75
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG76
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG77
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG78
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'SC_SID_2007_CHGS.SAV' /COMPRESSED.
